# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['test_poetry_vp',
 'test_poetry_vp.api',
 'test_poetry_vp.api.apex',
 'test_poetry_vp.api.ctp',
 'test_poetry_vp.api.da',
 'test_poetry_vp.api.femas',
 'test_poetry_vp.api.hft',
 'test_poetry_vp.api.hft.generator',
 'test_poetry_vp.api.ihq',
 'test_poetry_vp.api.ihq.generator',
 'test_poetry_vp.api.ksgold',
 'test_poetry_vp.api.ksgold.generator',
 'test_poetry_vp.api.mini',
 'test_poetry_vp.api.monitor',
 'test_poetry_vp.api.nh',
 'test_poetry_vp.api.nh.generator.futures',
 'test_poetry_vp.api.nh.generator.md',
 'test_poetry_vp.api.nh.generator.stock',
 'test_poetry_vp.api.nst',
 'test_poetry_vp.api.nst.generator',
 'test_poetry_vp.api.rohon',
 'test_poetry_vp.api.sec',
 'test_poetry_vp.api.sec.generator',
 'test_poetry_vp.api.sgit',
 'test_poetry_vp.api.sip',
 'test_poetry_vp.api.sip.generator',
 'test_poetry_vp.api.sopt',
 'test_poetry_vp.api.t2sdk',
 'test_poetry_vp.api.tap',
 'test_poetry_vp.api.uft',
 'test_poetry_vp.api.xtp',
 'test_poetry_vp.app',
 'test_poetry_vp.app.algo_trading',
 'test_poetry_vp.app.chart_wizard',
 'test_poetry_vp.app.cta_backtester',
 'test_poetry_vp.app.cta_strategy',
 'test_poetry_vp.app.data_manager',
 'test_poetry_vp.app.data_recorder',
 'test_poetry_vp.app.excel_rtd',
 'test_poetry_vp.app.option_master',
 'test_poetry_vp.app.paper_account',
 'test_poetry_vp.app.portfolio_manager',
 'test_poetry_vp.app.portfolio_strategy',
 'test_poetry_vp.app.risk_manager',
 'test_poetry_vp.app.rpc_service',
 'test_poetry_vp.app.rpc_service.ui',
 'test_poetry_vp.app.script_trader',
 'test_poetry_vp.app.spread_trading',
 'test_poetry_vp.app.web_trader',
 'test_poetry_vp.chart',
 'test_poetry_vp.event',
 'test_poetry_vp.gateway',
 'test_poetry_vp.gateway.comstar',
 'test_poetry_vp.gateway.ctp',
 'test_poetry_vp.gateway.ctptest',
 'test_poetry_vp.gateway.da',
 'test_poetry_vp.gateway.femas',
 'test_poetry_vp.gateway.gtja',
 'test_poetry_vp.gateway.hsoption',
 'test_poetry_vp.gateway.ib',
 'test_poetry_vp.gateway.ksgold',
 'test_poetry_vp.gateway.mini',
 'test_poetry_vp.gateway.minitest',
 'test_poetry_vp.gateway.nh',
 'test_poetry_vp.gateway.rohon',
 'test_poetry_vp.gateway.rpc',
 'test_poetry_vp.gateway.sec',
 'test_poetry_vp.gateway.sgit',
 'test_poetry_vp.gateway.sopt',
 'test_poetry_vp.gateway.sopttest',
 'test_poetry_vp.gateway.tap',
 'test_poetry_vp.gateway.tora',
 'test_poetry_vp.gateway.tts',
 'test_poetry_vp.gateway.uft',
 'test_poetry_vp.gateway.xtp',
 'test_poetry_vp.rpc',
 'test_poetry_vp.trader',
 'test_poetry_vp.trader.ui',
 'test_poetry_vp.trader.ui.ico']

package_data = \
{'': ['*'],
 'test_poetry_vp.api': ['hft/include/hft/*',
                        'hft/include/hft/header_for_generator/*',
                        'hft/include/pybind11/*',
                        'hft/include/pybind11/detail/*',
                        'hft/libs/*',
                        'hft/vnhft/*',
                        'hft/vnhft/vnhfttd/*',
                        'ihq/include/ihq/*',
                        'ihq/include/pybind11/*',
                        'ihq/include/pybind11/detail/*',
                        'ihq/libs/*',
                        'ihq/vnihq/*',
                        'ihq/vnihq/vnihqmd/*',
                        'ksgold/include/ksgold/*',
                        'ksgold/include/pybind11/*',
                        'ksgold/include/pybind11/detail/*',
                        'ksgold/libs/*',
                        'ksgold/vnksgold/*',
                        'ksgold/vnksgold/vnksgoldmd/*',
                        'ksgold/vnksgold/vnksgoldtd/*',
                        'monitor/include/monitor/*',
                        'monitor/include/pybind11/*',
                        'monitor/include/pybind11/detail/*',
                        'monitor/libs/*',
                        'monitor/vnmonitor/*',
                        'nh/include/nh/futures/*',
                        'nh/include/nh/md/*',
                        'nh/include/nh/stock/*',
                        'nh/include/pybind11/*',
                        'nh/include/pybind11/detail/*',
                        'nh/libs/*',
                        'nh/vnnh/*',
                        'nh/vnnh/vnnhfutures/*',
                        'nh/vnnh/vnnhmd/*',
                        'nh/vnnh/vnnhstock/*',
                        'nst/include/nst/*',
                        'nst/include/pybind11/*',
                        'nst/include/pybind11/detail/*',
                        'nst/libs/*',
                        'nst/vnnst/*',
                        'nst/vnnst/vnnsttd/*',
                        'sec/include/*',
                        'sec/include/pybind11/*',
                        'sec/include/pybind11/detail/*',
                        'sec/lib/*',
                        'sec/vnsec/*',
                        'sec/vnsec/vnsecmd/*',
                        'sec/vnsec/vnsectd/*',
                        'sip/include/pybind11/*',
                        'sip/include/pybind11/detail/*',
                        'sip/include/sip/*',
                        'sip/include/sip/header_for_generator/*',
                        'sip/libs/*',
                        'sip/vnsip/*',
                        'sip/vnsip/vnsipmd/*'],
 'test_poetry_vp.gateway': ['ksgold/SLEdll/*',
                            'ksgold/SLEdll/KSCA/*',
                            'ksgold/SLEdll/KSCA/ksca/*']}

install_requires = \
['PyQt5>=5.15.6,<6.0.0',
 'QScintilla>=2.13.1,<3.0.0',
 'WMI>=1.5.1,<2.0.0',
 'exchange-calendars>=3.5,<4.0',
 'matplotlib>=3.5.1,<4.0.0',
 'numpy>=1.21.5,<2.0.0',
 'pandas>=1.3.5,<2.0.0',
 'plotly>=5.4.0,<6.0.0',
 'psycopg2-binary>=2.9.2,<3.0.0',
 'pycryptodome>=3.12.0,<4.0.0',
 'pyqtgraph>=0.12.3,<0.13.0',
 'pyzmq>=22.3.0,<23.0.0',
 'seaborn>=0.11.2,<0.12.0',
 'six>=1.16.0,<2.0.0',
 'tzlocal>=4.1,<5.0',
 'vnpy-algotrading>=1.0.1,<2.0.0',
 'vnpy-chartwizard>=1.0.1,<2.0.0',
 'vnpy-ctabacktester>=1.0.3,<2.0.0',
 'vnpy-ctastrategy>=1.0.6,<2.0.0',
 'vnpy-ctp>=6.5.1,<7.0.0',
 'vnpy-ctptest>=6.5.1,<7.0.0',
 'vnpy-da>=1.12.0,<2.0.0',
 'vnpy-datamanager>=1.0.4,<2.0.0',
 'vnpy-datarecorder>=1.0.2,<2.0.0',
 'vnpy-esunny>=1.0.2,<2.0.0',
 'vnpy-femas>=1.0.0,<2.0.0',
 'vnpy-ib>=9.81.1,<10.0.0',
 'vnpy-mini>=1.5.6,<2.0.0',
 'vnpy-optionmaster>=1.0.1,<2.0.0',
 'vnpy-ost>=2.0.1,<3.0.0',
 'vnpy-paperaccount>=1.0.0,<2.0.0',
 'vnpy-portfoliomanager>=1.0.0,<2.0.0',
 'vnpy-portfoliostrategy>=1.0.0,<2.0.0',
 'vnpy-rest>=1.0.3,<2.0.0',
 'vnpy-riskmanager>=1.0.2,<2.0.0',
 'vnpy-rohon>=6.5.1,<7.0.0',
 'vnpy-scripttrader>=1.0.0,<2.0.0',
 'vnpy-sgit>=4.8.2,<5.0.0',
 'vnpy-sopt>=3.5.5,<4.0.0',
 'vnpy-spreadtrading>=1.1.3,<2.0.0',
 'vnpy-sqlite>=1.0.0,<2.0.0',
 'vnpy-tap>=9.0.0,<10.0.0',
 'vnpy-tora>=2021.12.5,<2022.0.0',
 'vnpy-tts>=6.5.1,<7.0.0',
 'vnpy-uft>=3.7.2,<4.0.0',
 'vnpy-websocket>=1.0.2,<2.0.0',
 'vnpy-webtrader>=1.0.2,<2.0.0',
 'vnpy-xtp>=2.2.27,<3.0.0',
 'wheel>=0.37.0,<0.38.0']

setup_kwargs = {
    'name': 'test-poetry-vp',
    'version': '0.1.0',
    'description': 'test for poetry',
    'long_description': None,
    'author': 'Your Name',
    'author_email': 'you@example.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.10,<3.11',
}


setup(**setup_kwargs)
